

// Create "enumerated type" for state of a Room
//

public final class VisitedState {
    private VisitedState() {}
    public static final VisitedState UNSEEN = new VisitedState();     // never seen
    public static final VisitedState VISITED = new VisitedState();    // visited but not on the path
    public static final VisitedState ONPATH = new VisitedState();     // visited and on the path
    public static final VisitedState PROCESSING = new VisitedState(); // currently being processed (e.g. in the heap)
}
