public class PathList 
{
	class PathNode
	{
		PathNode( int x, int y, PathNode next)
 		{
			this.x = x;
			this.y = y;
			this.next = next;
		}
		private int x,y;
		private PathNode next;
	
		public PathNode getNext() { return next; }
		public String toString() { return "("+x+","+y+")"; }
	}

	private PathNode first;

	PathList(){ first = null; }

        void addFirst(int x, int y)
	{
            first = new PathNode(x, y, first);
        }
	public String toString()
	{
		String s="";
		for(PathNode curr = first; curr != null;curr = curr.getNext())
			s=s+curr+" ";
		return s;
	}
}
